/*
     $Revision$
     $Id$
*/

function checkCheckboxes()
{
  if (vis_checkout_enable)
  {
    if (!document.getElementById("bezExpect").checked &&
        !document.getElementById("bezInside").checked &&
        !document.getElementById("bezDepart").checked)
    {
      document.getElementById("bezExpect").checked = true;
    }
  }
  else
  {
    if (!document.getElementById("bezExpect").checked &&
        !document.getElementById("bezClosed").checked)
    {
      document.getElementById("bezExpect").checked = true;
    }
  }
}

function onChangeLocatie()
{
  $.getJSON( "../alg/get_alg_info_ajax.asp"
           , { req_info: "locatie_gebouwen"
             , alg_locatie_key: $("#locatiekey").val()
             }
           , function(data) {}
           );
}

function onChangeGebouw()
{
  var param = { loc_key: $("[name=locatiekey]:last").val()
              , bld_key: ($("#gebouwkey").val() > 0 ? $("#gebouwkey").val() : $("[name=gebouwkey]:last").val() )
              };
  fill_actie(param);
}

function fill_actie(param)
{
  $.getJSON( "../bez/get_bez_info_ajax.asp"
           , { req_info: "actiegroep"
             , locatie_key: param.loc_key
             , gebouw_key: param.bld_key
             }
           , function (data) {
                  if (data.length > 0)
                  { // Vul de actie-listbos opnieuw.
                    $("#actie").empty().append($("<option>").val(-1).html(""));
                    for (var i=0; i< data.length; i++)
                    {
                      $("#actie").append($("<option>")
                                        .val(data[i].key)
                                        .html(data[i].omschr));
                    }
                  }
             }
           );
}
